Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1555847 - gsequencer: FTBFS in F28
Summary: gsequencer: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gsequencer
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joël Krähemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 19:47 UTC by Fedora Release Engineering
Modified: 2018-04-13 17:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 17:08:27 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 19:47:23 UTC
Your package gsequencer failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24800022

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Joël Krähemann 2018-03-15 06:11:39 UTC
Hi

Would be nice to have more information, like build-log.

Bests,
Joël

Comment 2 Joël Krähemann 2018-03-15 06:21:57 UTC
Well it is just a guess, I assume the build VM has not enough power to run the functional test-suite. Gtk+-2.0 dispatcher doesn't like concurrent access :/

Would be nice to see how the VM fills in the application's dialogs.

----
Joël

Comment 3 Joël Krähemann 2018-03-15 07:06:57 UTC
We could disable the functional tests during build. And may be run them as continues integration tests.

https://ci.debian.net/packages/g/gsequencer/unstable/amd64/

Comment 4 Joël Krähemann 2018-03-26 21:40:48 UTC
Well,

ags_thread_test.c should definitely pass.

Go and fix your affected architecture.

--
Joël

Comment 5 Joël Krähemann 2018-03-26 21:54:51 UTC
I think you was referring to:

https://kojipkgs.fedoraproject.org/work/tasks/248/25650248/build.log

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-04-13 17:08:27 UTC
A build was successfull: gsequencer-1.4.24-1.fc28
An update was found in bodhi: gsequencer-1.4.24-1.fc28 rpm enhancement stable 2018-04-05


Note You need to log in before you can comment on or make changes to this bug.